IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
fc03:d000::/20- First address
fc03:d000::- Last address
fc03:dfff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
fc03:d000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
d.3.0.c.f.ip6.arpa
Split into smaller subnets
fc03:d000::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc03:d000::/28 | fc03:d00f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc03:d010::/28 | fc03:d01f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc03:d020::/28 | fc03:d02f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc03:d030::/28 | fc03:d03f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc03:d040::/28 | fc03:d04f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc03:d050::/28 | fc03:d05f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc03:d060::/28 | fc03:d06f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc03:d070::/28 | fc03:d07f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc03:d080::/28 | fc03:d08f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc03:d090::/28 | fc03:d09f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc03:d0a0::/28 | fc03:d0af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc03:d0b0::/28 | fc03:d0bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc03:d0c0::/28 | fc03:d0cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc03:d0d0::/28 | fc03:d0df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc03:d0e0::/28 | fc03:d0ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc03:d0f0::/28 | fc03:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc03:d100::/28 | fc03:d10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc03:d110::/28 | fc03:d11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc03:d120::/28 | fc03:d12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc03:d130::/28 | fc03:d13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc03:d140::/28 | fc03:d14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc03:d150::/28 | fc03:d15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc03:d160::/28 | fc03:d16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc03:d170::/28 | fc03:d17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc03:d180::/28 | fc03:d18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc03:d190::/28 | fc03:d19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc03:d1a0::/28 | fc03:d1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc03:d1b0::/28 | fc03:d1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc03:d1c0::/28 | fc03:d1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc03:d1d0::/28 | fc03:d1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc03:d1e0::/28 | fc03:d1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc03:d1f0::/28 | fc03:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc03:d200::/28 | fc03:d20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc03:d210::/28 | fc03:d21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc03:d220::/28 | fc03:d22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc03:d230::/28 | fc03:d23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc03:d240::/28 | fc03:d24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc03:d250::/28 | fc03:d25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc03:d260::/28 | fc03:d26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc03:d270::/28 | fc03:d27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc03:d280::/28 | fc03:d28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc03:d290::/28 | fc03:d29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc03:d2a0::/28 | fc03:d2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc03:d2b0::/28 | fc03:d2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc03:d2c0::/28 | fc03:d2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc03:d2d0::/28 | fc03:d2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc03:d2e0::/28 | fc03:d2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc03:d2f0::/28 | fc03:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc03:d300::/28 | fc03:d30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc03:d310::/28 | fc03:d31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc03:d320::/28 | fc03:d32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc03:d330::/28 | fc03:d33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc03:d340::/28 | fc03:d34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc03:d350::/28 | fc03:d35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc03:d360::/28 | fc03:d36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc03:d370::/28 | fc03:d37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc03:d380::/28 | fc03:d38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc03:d390::/28 | fc03:d39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc03:d3a0::/28 | fc03:d3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc03:d3b0::/28 | fc03:d3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc03:d3c0::/28 | fc03:d3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc03:d3d0::/28 | fc03:d3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc03:d3e0::/28 | fc03:d3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc03:d3f0::/28 | fc03:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc03:d400::/28 | fc03:d40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc03:d410::/28 | fc03:d41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc03:d420::/28 | fc03:d42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc03:d430::/28 | fc03:d43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc03:d440::/28 | fc03:d44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc03:d450::/28 | fc03:d45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc03:d460::/28 | fc03:d46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc03:d470::/28 | fc03:d47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc03:d480::/28 | fc03:d48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc03:d490::/28 | fc03:d49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc03:d4a0::/28 | fc03:d4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc03:d4b0::/28 | fc03:d4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc03:d4c0::/28 | fc03:d4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc03:d4d0::/28 | fc03:d4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc03:d4e0::/28 | fc03:d4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc03:d4f0::/28 | fc03:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc03:d500::/28 | fc03:d50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc03:d510::/28 | fc03:d51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc03:d520::/28 | fc03:d52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc03:d530::/28 | fc03:d53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc03:d540::/28 | fc03:d54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc03:d550::/28 | fc03:d55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc03:d560::/28 | fc03:d56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc03:d570::/28 | fc03:d57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc03:d580::/28 | fc03:d58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc03:d590::/28 | fc03:d59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc03:d5a0::/28 | fc03:d5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc03:d5b0::/28 | fc03:d5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc03:d5c0::/28 | fc03:d5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc03:d5d0::/28 | fc03:d5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc03:d5e0::/28 | fc03:d5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc03:d5f0::/28 | fc03:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc03:d600::/28 | fc03:d60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc03:d610::/28 | fc03:d61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc03:d620::/28 | fc03:d62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc03:d630::/28 | fc03:d63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc03:d640::/28 | fc03:d64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc03:d650::/28 | fc03:d65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc03:d660::/28 | fc03:d66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc03:d670::/28 | fc03:d67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc03:d680::/28 | fc03:d68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc03:d690::/28 | fc03:d69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc03:d6a0::/28 | fc03:d6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc03:d6b0::/28 | fc03:d6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc03:d6c0::/28 | fc03:d6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc03:d6d0::/28 | fc03:d6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc03:d6e0::/28 | fc03:d6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc03:d6f0::/28 | fc03:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc03:d700::/28 | fc03:d70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc03:d710::/28 | fc03:d71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc03:d720::/28 | fc03:d72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc03:d730::/28 | fc03:d73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc03:d740::/28 | fc03:d74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc03:d750::/28 | fc03:d75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc03:d760::/28 | fc03:d76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc03:d770::/28 | fc03:d77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc03:d780::/28 | fc03:d78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc03:d790::/28 | fc03:d79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc03:d7a0::/28 | fc03:d7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc03:d7b0::/28 | fc03:d7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc03:d7c0::/28 | fc03:d7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc03:d7d0::/28 | fc03:d7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc03:d7e0::/28 | fc03:d7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc03:d7f0::/28 | fc03:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc03:d800::/28 | fc03:d80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc03:d810::/28 | fc03:d81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc03:d820::/28 | fc03:d82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc03:d830::/28 | fc03:d83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc03:d840::/28 | fc03:d84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc03:d850::/28 | fc03:d85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc03:d860::/28 | fc03:d86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc03:d870::/28 | fc03:d87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc03:d880::/28 | fc03:d88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc03:d890::/28 | fc03:d89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc03:d8a0::/28 | fc03:d8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc03:d8b0::/28 | fc03:d8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc03:d8c0::/28 | fc03:d8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc03:d8d0::/28 | fc03:d8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc03:d8e0::/28 | fc03:d8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc03:d8f0::/28 | fc03:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc03:d900::/28 | fc03:d90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc03:d910::/28 | fc03:d91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc03:d920::/28 | fc03:d92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc03:d930::/28 | fc03:d93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc03:d940::/28 | fc03:d94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc03:d950::/28 | fc03:d95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc03:d960::/28 | fc03:d96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc03:d970::/28 | fc03:d97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc03:d980::/28 | fc03:d98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc03:d990::/28 | fc03:d99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc03:d9a0::/28 | fc03:d9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc03:d9b0::/28 | fc03:d9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc03:d9c0::/28 | fc03:d9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc03:d9d0::/28 | fc03:d9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc03:d9e0::/28 | fc03:d9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc03:d9f0::/28 | fc03:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc03:da00::/28 | fc03:da0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc03:da10::/28 | fc03:da1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc03:da20::/28 | fc03:da2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc03:da30::/28 | fc03:da3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc03:da40::/28 | fc03:da4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc03:da50::/28 | fc03:da5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc03:da60::/28 | fc03:da6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc03:da70::/28 | fc03:da7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc03:da80::/28 | fc03:da8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc03:da90::/28 | fc03:da9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc03:daa0::/28 | fc03:daaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc03:dab0::/28 | fc03:dabf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc03:dac0::/28 | fc03:dacf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc03:dad0::/28 | fc03:dadf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc03:dae0::/28 | fc03:daef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc03:daf0::/28 | fc03:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc03:db00::/28 | fc03:db0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc03:db10::/28 | fc03:db1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc03:db20::/28 | fc03:db2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc03:db30::/28 | fc03:db3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc03:db40::/28 | fc03:db4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc03:db50::/28 | fc03:db5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc03:db60::/28 | fc03:db6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc03:db70::/28 | fc03:db7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc03:db80::/28 | fc03:db8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc03:db90::/28 | fc03:db9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc03:dba0::/28 | fc03:dbaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc03:dbb0::/28 | fc03:dbbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc03:dbc0::/28 | fc03:dbcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc03:dbd0::/28 | fc03:dbdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc03:dbe0::/28 | fc03:dbef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc03:dbf0::/28 | fc03:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc03:dc00::/28 | fc03:dc0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc03:dc10::/28 | fc03:dc1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc03:dc20::/28 | fc03:dc2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc03:dc30::/28 | fc03:dc3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc03:dc40::/28 | fc03:dc4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc03:dc50::/28 | fc03:dc5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc03:dc60::/28 | fc03:dc6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc03:dc70::/28 | fc03:dc7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc03:dc80::/28 | fc03:dc8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc03:dc90::/28 | fc03:dc9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc03:dca0::/28 | fc03:dcaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc03:dcb0::/28 | fc03:dcbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc03:dcc0::/28 | fc03:dccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc03:dcd0::/28 | fc03:dcdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc03:dce0::/28 | fc03:dcef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc03:dcf0::/28 | fc03:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc03:dd00::/28 | fc03:dd0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc03:dd10::/28 | fc03:dd1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc03:dd20::/28 | fc03:dd2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc03:dd30::/28 | fc03:dd3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc03:dd40::/28 | fc03:dd4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc03:dd50::/28 | fc03:dd5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc03:dd60::/28 | fc03:dd6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc03:dd70::/28 | fc03:dd7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc03:dd80::/28 | fc03:dd8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc03:dd90::/28 | fc03:dd9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc03:dda0::/28 | fc03:ddaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc03:ddb0::/28 | fc03:ddbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc03:ddc0::/28 | fc03:ddcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc03:ddd0::/28 | fc03:dddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc03:dde0::/28 | fc03:ddef:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc03:ddf0::/28 | fc03:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc03:de00::/28 | fc03:de0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc03:de10::/28 | fc03:de1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc03:de20::/28 | fc03:de2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc03:de30::/28 | fc03:de3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc03:de40::/28 | fc03:de4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc03:de50::/28 | fc03:de5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc03:de60::/28 | fc03:de6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc03:de70::/28 | fc03:de7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc03:de80::/28 | fc03:de8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc03:de90::/28 | fc03:de9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc03:dea0::/28 | fc03:deaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc03:deb0::/28 | fc03:debf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc03:dec0::/28 | fc03:decf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc03:ded0::/28 | fc03:dedf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc03:dee0::/28 | fc03:deef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc03:def0::/28 | fc03:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc03:df00::/28 | fc03:df0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc03:df10::/28 | fc03:df1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc03:df20::/28 | fc03:df2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc03:df30::/28 | fc03:df3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc03:df40::/28 | fc03:df4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc03:df50::/28 | fc03:df5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc03:df60::/28 | fc03:df6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc03:df70::/28 | fc03:df7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc03:df80::/28 | fc03:df8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc03:df90::/28 | fc03:df9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc03:dfa0::/28 | fc03:dfaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc03:dfb0::/28 | fc03:dfbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc03:dfc0::/28 | fc03:dfcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc03:dfd0::/28 | fc03:dfdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc03:dfe0::/28 | fc03:dfef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc03:dff0::/28 | fc03:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |